> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.runtype.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.runtype.com/_mcp/server.

# Agent issuer metadata

GET https://api.runtype.com/.well-known/oauth-authorization-server/orgs/{organizationId}/agents

RFC 8414 authorization server metadata for the agents issuer of one organization. A resource server that accepts agent tokens pins this `issuer`, verifies against `jwks_uri`, and checks `typ: at+jwt` and `aud`.

Reference: https://docs.runtype.com/api-reference/runtype-api/identity-integrations/agent-issuer-metadata

## Servers

- `https://api.runtype.com` (Production, default)
- `https://api.runtype-staging.com` (Staging)

## Request

### Path parameters

- `organizationId` (string, required)

## Response

### 200

The issuer metadata.

- `grant_types_supported` (list of string, required)
- `issuer` (string, required) — `<API origin>/orgs/<organizationId>/agents`, matching this document URL.
- `jwks_uri` (string, required)
- `response_types_supported` (list of string, required)
- `service_documentation` (string, required)
- `token_endpoint` (string, required)
- `token_endpoint_auth_methods_supported` (list of string, required)
- `token_endpoint_auth_signing_alg_values_supported` (list of string, required)

## Errors

### 404 Not Found Error

Agent tokens are not available for this organization.

- `any`

## Examples

**Response**

```json
{
  "grant_types_supported": [
    "string"
  ],
  "issuer": "string",
  "jwks_uri": "string",
  "response_types_supported": [
    "string"
  ],
  "service_documentation": "string",
  "token_endpoint": "string",
  "token_endpoint_auth_methods_supported": [
    "string"
  ],
  "token_endpoint_auth_signing_alg_values_supported": [
    "string"
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.runtype.com/.well-known/oauth-authorization-server/orgs/organizationId/agents"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.runtype.com/.well-known/oauth-authorization-server/orgs/organizationId/agents';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.runtype.com/.well-known/oauth-authorization-server/orgs/organizationId/agents"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.runtype.com/.well-known/oauth-authorization-server/orgs/organizationId/agents")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.runtype.com/.well-known/oauth-authorization-server/orgs/organizationId/agents")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.runtype.com/.well-known/oauth-authorization-server/orgs/organizationId/agents');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.runtype.com/.well-known/oauth-authorization-server/orgs/organizationId/agents");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.runtype.com/.well-known/oauth-authorization-server/orgs/organizationId/agents")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```